package vip.xiaonuo.exam.service;

import vip.xiaonuo.exam.domain.ExamPaper;
import vip.xiaonuo.exam.domain.ExamPaperAnswer;
import vip.xiaonuo.exam.domain.TaskExamCustomerAnswer;

import java.util.Date;
import java.util.List;

public interface TaskExamCustomerAnswerService extends BaseService<TaskExamCustomerAnswer> {

    void insertOrUpdate(ExamPaper examPaper, ExamPaperAnswer examPaperAnswer, Date now);

    TaskExamCustomerAnswer selectByTUid(Integer tid, String uid);

    List<TaskExamCustomerAnswer> selectByTUid(List<Integer> taskIds, String uid);
}
